version: "3"

services:
    huds:
        image: helsinkifi/huds
        build: .
        container_name: huds
        ports:
            - "3333:3333"
        volumes:
            - ./src:/usr/app/src
            - ./dist:/usr/app/dist
            - ./www:/usr/app/www
            - ./stencil.config.ts:/usr/app/stencil.config.ts
            - ./tailwind.config.js:/usr/app/tailwind.config.js
            - ./tsconfig.json:/usr/app/tsconfig.json
            - ./watchdocs.js:/usr/app/watchdocs.js
